petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetSupport

Return the points on the out-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSupport(DM dm, PetscInt p, const PetscInt *support[])

Not collective Many br

### Input Parameters

| mesh | - The DMPlex Many br
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart() Many br

### Output Parameter

support -An array of points which are on the out-edges for point p Many br

Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

You must also call DMPlexRestoreSupport() after you finish using the returned array. Many br

### See Also

DMPlexCreate(), DMPlexSetCone(), DMPlexSetChart(), DMPlexGetCone()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html